Bug 1316569 (CVE-2016-3619) - CVE-2016-3619 libtiff: bmp2tiff DumpModeEncode OOB read
Summary: CVE-2016-3619 libtiff: bmp2tiff DumpModeEncode OOB read
Status: CLOSED NOTABUG
Alias: CVE-2016-3619
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160407,reported=2...
Keywords: Security
Depends On: 1324816 1324817
Blocks: 1316881
TreeView+ depends on / blocked
 
Reported: 2016-03-10 13:57 UTC by Adam Mariš
Modified: 2017-05-10 21:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-10 21:03:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash report (2.39 KB, text/plain)
2016-03-11 10:11 UTC, Adam Mariš
no flags Details

Description Adam Mariš 2016-03-10 13:57:10 UTC
It was reported that an out-of-bounds memory read could be triggered by processing a specially crafted BMP file using the bmp2tiff tool.

References:

http://bugzilla.maptools.org/show_bug.cgi?id=2567

Comment 1 Adam Mariš 2016-03-10 13:57:14 UTC
Acknowledgments:

Name: Mei Wang (Qihoo 360)

Comment 3 Adam Mariš 2016-03-11 10:11 UTC
Created attachment 1135189 [details]
Crash report

Comment 4 Andrej Nemec 2016-04-07 11:12:26 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1324816]

Comment 5 Andrej Nemec 2016-04-07 11:12:31 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1324817]

Comment 6 Andrej Nemec 2016-04-07 11:12:46 UTC
Public via:

http://seclists.org/oss-sec/2016/q2/20

Comment 8 Stefan Cornelius 2017-05-10 21:03:08 UTC
Statement:

This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 6 and 7. This issue did not affect the versions of  compat-libtiff3 as shipped with Red Hat Enterprise Linux 7, as they did not include the bmp2tiff tool.


Note You need to log in before you can comment on or make changes to this bug.